package com.ssj.service.conch.opentest.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 */
public class ConditionDto implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 年级
     */
    private String grade;

    /**
     * 科目列表
     */
    private List<Subject> subjectList;

    public class Subject implements Serializable {

        private static final long serialVersionUID = 1L;
        /**
         * 科目
         */
        private String subject;

        /**
         * 选项列表
         */
        private List<Version> versionList;

        public class Version implements Serializable {
            private static final long serialVersionUID = 1L;
            /**
             * 版本
             */
            private String version;

            public String getVersion() {
                return version;
            }

            public void setVersion(String version) {
                this.version = version;
            }
        }

        public String getSubject() {
            return subject;
        }

        public void setSubject(String subject) {
            this.subject = subject;
        }

        public List<Version> getVersionList() {
            return versionList;
        }

        public void setVersionList(List<Version> versionList) {
            this.versionList = versionList;
        }
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public List<Subject> getSubjectList() {
        return subjectList;
    }

    public void setSubjectList(List<Subject> subjectList) {
        this.subjectList = subjectList;
    }
}
